Trucks
Get truck
Retrieve a single truck record by ID, including truck number, make and model, VIN, license plate, current driver, and last reported GPS position.
GET
Get truck
The endpoint for retrieving trucks by ID requires specifying the API version in the URL path. Including the version number ensures that your application interacts with the correct version of the API, providing stability and compatibility as the API evolves. For more information on how versioning works and how to include it in your requests, please refer to the Versioning page.
Replace

Request Parameters
The following parameter is required in the URL path:Example CURL request
{version} with the API version number, {truckId} with the actual truck ID, and YOUR_ACCESS_TOKEN with your actual Bearer token.
Response Parameters
The following table lists the parameters included in the response for truck-related requests.Example Response
On the right side, you can see examples of different error codes by clicking “Example” and selecting the response code.
Rate Limits
All endpoints are subject to rate limits to protect the API from traffic spikes. For detailed information on rate limits, please refer to the Rate Limits section. This page is interactive, allowing you to try a request by providing the truck ID in the URL path. As you fill out the parameters, the Curl command on the right side of the page will be automatically updated. Alternatively, you can directly edit the Curl command. Make sure to authorize yourself before trying a request.Authorizations
OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.
Path Parameters
API version (e.g., 1.0)
Example:
"1.0"
Response
OK